##### ip::address_v6::address_v6 (2 of 4 overloads)

Construct an address from raw bytes and scope ID.

    address_v6(
        const bytes_type & bytes,
        scope_id_type scope_id = 0);

Initialises the `address_v6` object such that: * `to_bytes() == bytes`; and

- `this->scope_id() == scope_id`.

###### Exceptions

out_of_range

  Thrown if any element in `bytes` is not in the range `0 - 0xFF`. Note that no range checking is required for platforms where `std::numeric_limits<unsigned char>::max()` is `0xFF`.